Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.verisign.epp.codec.idntable
Class EPPIdnTableInfoResp

    java.lang.Object
      com.verisign.epp.codec.gen.EPPResponse
          com.verisign.epp.codec.idntable.EPPIdnTableInfoResp

All Implemented Interfaces:
  EPPCodecComponent, EPPMessage, java.io.Serializable, java.lang.Cloneable

    public class EPPIdnTableInfoResp

extends EPPResponse

Represents an EPP Internationalized Domain Name (IDN) Table <info> response, which support three different forms:

- Domain Info Form - Used to validate the domain name code points against the IDN Tables and IDN Policies, and to return the matching IDN Table meta-data.
- Table Info Form - Used to retrieve information associated with an IDN Table object.
- List Info Form - Used to retrieve the list of IDN Tables supported by the server.

`EPPIdnTableInfoCmd` is the concrete `EPPCommand` associated with `EPPIdnTableInfoCmd`.

See Also:
  `EPPIdnTableInfoResp`, Serialized Form

Nested Class Summary
`static class` | `EPPIdnTableInfoResp.Form` Check form types, that include: `DOMAIN_FORM` that represents the "Domain Info Form".

Field Summary
`static java.lang.String` | `ELM_LOCALNAME` XML local name for `EPPIdnTableInfoResp`.
`static java.lang.String` | `ELM_NAME` XML root tag for `EPPIdnTableInfoResp`.

Fields inherited from class com.verisign.epp.codec.gen.EPPResponse
`extensions, TRANSFER_CLIENT_APPROVED, TRANSFER_CLIENT_CANCELLED, TRANSFER_CLIENT_REJECTED, TRANSFER_PENDING, TRANSFER_SERVER_APPROVED, TRANSFER_SERVER_CANCELLED`

Constructor Summary
`EPPIdnTableInfoResp()` `EPPIdnTableInfoResp` default constructor with the default form of `Form.LIST_FORM`.
`EPPIdnTableInfoResp(EPPTransId aTransId)` `EPPIdnTableInfoResp` constructor that only takes the transaction identifier with the default form of `Form.LIST_FORM`.
`EPPIdnTableInfoResp(EPPTransId aTransId, EPPIdnTableInfoDomain aDomain)` `EPPIdnTableInfoResp` constructor that only takes the transaction identifier and the domain information for the Domain Info Form.
`EPPIdnTableInfoResp(EPPTransId aTransId, EPPIdnTableInfoTable aTable)` `EPPIdnTableInfoResp` constructor that only takes the transaction identifier and the table information for the Table Info Form.
`EPPIdnTableInfoResp(EPPTransId aTransId, java.util.List<EPPIdnTableInfoListItem> aList)` `EPPIdnTableInfoResp` constructor that only takes the transaction identifier and the list information for the List Info Form.

Method Summary
`void` | `addListItem(EPPIdnTableInfoListItem aListItem)` Append a list item to the list in List Info Form.
`java.lang.Object` | `clone()` Clone `EPPIdnTableInfoResp`.
`protected void` | `doDecode(org.w3c.dom.Element aElement)` Decode the `EPPIdnTableInfoResp` attributes from the aElement DOM Element tree.
`protected org.w3c.dom.Element` | `doEncode(org.w3c.dom.Document aDocument)` Encode a DOM Element tree from the attributes of the `EPPIdnTableInfoResp` instance.
`boolean` | `equals(java.lang.Object aObject)` Compare an instance of `EPPIdnTableInfoResp` with this instance.
`EPPIdnTableInfoDomain` | `getDomain()` Gets the domain information in Domain Info Form.
`EPPIdnTableInfoResp.Form` | `getForm()` What inform is being used?
`java.util.List<EPPIdnTableInfoListItem>` | `getList()` Gets the list information in List Info Form.
`java.lang.String` | `getNamespace()` Gets the EPP command namespace associated with `EPPIdnTableInfoResp`.
`EPPIdnTableInfoTable` | `getTable()` Gets the table information in Table Info Form.
`java.lang.String` | `getType()` Gets the EPP response type associated with `EPPIdnTableInfoResp`.
`void` | `setDomain(EPPIdnTableInfoDomain aDomain)` Sets the domain information in Domain Info Form.
`void` | `setForm(EPPIdnTableInfoResp.Form aForm)` Set the form of the info command using one of the `Form` enumerated values.
`void` | `setList(java.util.List<EPPIdnTableInfoListItem> aList)` Sets the list information in List Info Form.
`void` | `setTable(EPPIdnTableInfoTable aTable)` Sets the table information in Table Info Form.
`java.lang.String` | `toString()` Implementation of `Object.toString`, which will result in an indented XML `String` representation of the concrete `EPPCodecComponent`.

Methods inherited from class com.verisign.epp.codec.gen.EPPResponse
`addExtension, decode, encode, getExtension, getExtension, getExtensions, getMessageQueue, getMsgQueue, getMsgQueueCount, getMsgQueueDate, getMsgQueueMsg, getQDate, getResult, getResults, getTransId, hasExtension, hasExtensions, hasMessageQueue, hasMsgQueue, hasResultCode, isSuccess, setExtension, setExtensions, setMsgQueue, setResult, setResult, setResult, setResult, setResults, setTransId`

Methods inherited from class java.lang.Object
`finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### ELM_LOCALNAME

    public static final java.lang.String ELM_LOCALNAME

  XML local name for `EPPIdnTableInfoResp`.

  See Also:
    Constant Field Values

### ELM_NAME

    public static final java.lang.String ELM_NAME

  XML root tag for `EPPIdnTableInfoResp`.

  See Also:
    Constant Field Values

Constructor Detail

### EPPIdnTableInfoResp

    public EPPIdnTableInfoResp()

  `EPPIdnTableInfoResp` default constructor with the default form of `Form.LIST_FORM`.

### EPPIdnTableInfoResp

    public EPPIdnTableInfoResp(EPPTransId aTransId)

  `EPPIdnTableInfoResp` constructor that only takes the transaction identifier with the default form of `Form.LIST_FORM`.

  Parameters:
    `aTransId` - Transaction Id associated with response.

### EPPIdnTableInfoResp

    public EPPIdnTableInfoResp(EPPTransId aTransId,
                               EPPIdnTableInfoDomain aDomain)

  `EPPIdnTableInfoResp` constructor that only takes the transaction identifier and the domain information for the Domain Info Form. The form is set to `Form.DOMAIN_FORM`.

  Parameters:
    `aTransId` - Transaction Id associated with response.
    `aDomain` - Domain information for Domain Info Form.

### EPPIdnTableInfoResp

    public EPPIdnTableInfoResp(EPPTransId aTransId,
                               EPPIdnTableInfoTable aTable)

  `EPPIdnTableInfoResp` constructor that only takes the transaction identifier and the table information for the Table Info Form. The form is set to `Form.TABLE_FORM`.

  Parameters:
    `aTransId` - Transaction Id associated with response.
    `aTable` - Table information for Table Info Form.

### EPPIdnTableInfoResp

    public EPPIdnTableInfoResp(EPPTransId aTransId,
                               java.util.List<EPPIdnTableInfoListItem> aList)

  `EPPIdnTableInfoResp` constructor that only takes the transaction identifier and the list information for the List Info Form. The form is set to `Form.LIST_FORM`.

  Parameters:
    `aTransId` - Transaction Id associated with response.
    `aList` - List information for List Info Form.

Method Detail

### getForm

    public EPPIdnTableInfoResp.Form getForm()

  What inform is being used?

  Returns:
    One of the `Form` enumerated values, where `UNDEFINED_FORM` is used when the form has not been set.

### setForm

    public void setForm(EPPIdnTableInfoResp.Form aForm)

  Set the form of the info command using one of the `Form` enumerated values.

  Parameters:
    `aForm` - One of the `Form` enumerated values.

### getDomain

    public EPPIdnTableInfoDomain getDomain()

  Gets the domain information in Domain Info Form.

  Returns:
    Domain information if defined; `null` otherwise.

### setDomain

    public void setDomain(EPPIdnTableInfoDomain aDomain)

  Sets the domain information in Domain Info Form. The form will be automatically set to `Form.DOMAIN_FORM` for a non-null domain value.

  Parameters:
    `aDomain` - the domain to set

### getTable

    public EPPIdnTableInfoTable getTable()

  Gets the table information in Table Info Form.

  Returns:
    The table information if defined: `null` otherwise.

### setTable

    public void setTable(EPPIdnTableInfoTable aTable)

  Sets the table information in Table Info Form. The form will be automatically set to `Form.TABLE_FORM` for a non-null table value.

  Parameters:
    `aTable` - the table to set

### addListItem

    public void addListItem(EPPIdnTableInfoListItem aListItem)

  Append a list item to the list in List Info Form. The form will be automatically set to `Form.LIST_FORM`.

  Parameters:
    `aListItem` - List item to add to the list

### getList

    public java.util.List<EPPIdnTableInfoListItem> getList()

  Gets the list information in List Info Form.

  Returns:
    The list information if defined; `null` otherwise.

### setList

    public void setList(java.util.List<EPPIdnTableInfoListItem> aList)

  Sets the list information in List Info Form. The form will be automatically set to `Form.LIST_FORM` for a non-null table value.

  Parameters:
    `aList` - the list to set

### doEncode

    protected org.w3c.dom.Element doEncode(org.w3c.dom.Document aDocument)
                                    throws EPPEncodeException

  Encode a DOM Element tree from the attributes of the `EPPIdnTableInfoResp` instance.

  Overrides:
    `doEncode` in class `EPPResponse`
  Parameters:
    `aDocument` - DOM Document that is being built. Used as an Element factory.
  Returns:
    Element Root DOM Element representing the EPPIdnTableInfoResp instance.
  Throws:
    `EPPEncodeException` - Unable to encode EPPIdnTableInfoResp instance.

### doDecode

    protected void doDecode(org.w3c.dom.Element aElement)
                     throws EPPDecodeException

  Decode the `EPPIdnTableInfoResp` attributes from the aElement DOM Element tree.

  Overrides:
    `doDecode` in class `EPPResponse`
  Parameters:
    `aElement` - Root DOM Element to decode `EPPIdnTableInfoResp` from.
  Throws:
    `EPPDecodeException` - Unable to decode aElement

### clone

    public java.lang.Object clone()
                           throws java.lang.CloneNotSupportedException

  Clone `EPPIdnTableInfoResp`.

  Specified by:
    `clone` in interface `EPPCodecComponent`
  Overrides:
    `clone` in class `EPPResponse`
  Returns:
    clone of `EPPIdnTableInfoResp`
  Throws:
    `java.lang.CloneNotSupportedException` - standard Object.clone exception

### getType

    public java.lang.String getType()

  Gets the EPP response type associated with `EPPIdnTableInfoResp`.

  Overrides:
    `getType` in class `EPPResponse`
  Returns:
    `EPPIdnTableInfoResp.ELM_NAME`

### getNamespace

    public java.lang.String getNamespace()

  Gets the EPP command namespace associated with `EPPIdnTableInfoResp`.

  Specified by:
    `getNamespace` in interface `EPPMessage`
  Overrides:
    `getNamespace` in class `EPPResponse`
  Returns:
    `EPPIdnTableMapFactory.NS`

### equals

    public boolean equals(java.lang.Object aObject)

  Compare an instance of `EPPIdnTableInfoResp` with this instance.

  Overrides:
    `equals` in class `EPPResponse`
  Parameters:
    `aObject` - Object to compare with.
  Returns:
    `true` if this object is the same as the aObject argument; `false` otherwise

### toString

    public java.lang.String toString()

  Implementation of `Object.toString`, which will result in an indented XML `String` representation of the concrete `EPPCodecComponent`.

  Overrides:
    `toString` in class `EPPResponse`
  Returns:
    Indented XML `String` if successful; `ERROR` otherwise.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © VeriSign Inc. All Rights Reserved.